Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7161 - No format information for text input fields available
Summary: No format information for text input fields available
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 2.17
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-19 23:43 UTC by Aleksey Nogin
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-14 02:42:05 UTC


Attachments (Terms of Use)

Description Aleksey Nogin 1999-11-19 23:43:47 UTC
When entering some text into text fields such as "Description" field in
enter_bug.cgi or "Additional Comments" in show_bug.cgi, it would be nice to
know what is the expected entry format - is it supposed to be plain text or
whether any HTML tags are allowed.

Comment 1 David Lawrence 1999-11-21 08:53:59 UTC
Really doesnt matter since the bugzilla system renders the description using the
<PRE> </PRE> tags therefore anything is valid text. I attempted it with various
tags and other special characters and everything was printed as entered
properly.

I am putting together a more detailed help screen to help explain how to
properly enter a bug report and I will include this information.

Comment 2 Aleksey Nogin 1999-11-21 17:04:59 UTC
This is not that simple. Take a look at <A
HREF="http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=7079">bug #7079</A>.
It has two "A HREF" tags that show as links (at least in Netscape 4.7)...

Comment 3 Aleksey Nogin 1999-11-21 17:08:59 UTC
Oh, ok... Does this mean that when I write something like " bug #7079 ",
bugzilla inserts a link for me? If would be nice to have all these features
documented...

Comment 4 David Lawrence 1999-11-21 17:17:59 UTC
Yes, and I will definitely be adding that into the documentation also.

Comment 5 Aleksey Nogin 2000-01-03 21:21:59 UTC
I still do not see any documentation that describes these things.

Also, enter_bug.cgi gives links to bug_status.html that no longer exists...

Comment 6 David Lawrence 2000-01-24 19:28:59 UTC
Sorry for the delay regarding this addition. I have added some documentation to
the enter_bug.cgi and show_bug.cgi scripts. Please let me know if they coule be
worded better. Also bug_status.html has been fixed.

Comment 7 Aleksey Nogin 2000-01-24 19:52:59 UTC
Is it true that numbers would be conmverted to bug hyperlinks? Let me try: 11,
and another: #11, and yet another: bug #11.

Also, all http://... is also converted to hyperlinks.

Also, all conversions take place only when items are displayed (as opposed to
being sent in the Bugzilla notification e-mail).

Comment 8 Aleksey Nogin 2000-01-24 19:53:59 UTC
As you see, on;y "bug #xyz" is converted to hyperlink, no just #xyz

Comment 9 David Lawrence 2000-01-24 20:32:59 UTC
Ok, i have again corrected the documentation. It is now included in the other
help documentation accessible by clicking on the 'Additional Comments' field
header. Thanks for helping on this matter.

Comment 10 Aleksey Nogin 2000-01-24 21:08:59 UTC
Is it really just bug 1234, or do I have to type bug #1234?

Comment 11 Aleksey Nogin 2000-01-24 21:09:59 UTC
Oh, OK, I didn't know that

Comment 12 Aleksey Nogin 2000-12-14 00:25:37 UTC
I would say that this problem is mostly fixed, with the only exception - while
show_bug.cgi gives a correct link for the "Additional Comments" field,
enter_bug.cgi does not have that link for the "Description" field. It should.

Comment 13 Aleksey Nogin 2002-12-13 14:32:13 UTC
> I would say that this problem is mostly fixed, with the only exception - while
> show_bug.cgi gives a correct link for the "Additional Comments" field,
> enter_bug.cgi does not have that link for the "Description" field. It should.

Now even the "Additional Comments" link is gone.

Comment 14 David Lawrence 2002-12-13 22:58:37 UTC
Additional comments link is back now. Reopen this if any more problems found.

Comment 15 Aleksey Nogin 2002-12-14 00:04:41 UTC
The problem mentioned in comment 12 is still there - there is no link on the
"Description" in the enter_bug.cgi.

Comment 16 David Lawrence 2002-12-14 02:42:05 UTC
Sorry, really tired and didnt parse the problem properly. The addition comments
on this page and the description field on the enter_bug page should both be
linked properly.



Note You need to log in before you can comment on or make changes to this bug.